// ../../node_modules/.pnpm/@sveltejs+kit@1.25.1_svelte@4.2.1_vite@4.4.9/node_modules/@sveltejs/kit/src/exports/index.js
function json(data, init) {
  const body = JSON.stringify(data);
  const headers = new Headers(init?.headers);
  if (!headers.has("content-length")) {
    headers.set("content-length", encoder.encode(body).byteLength.toString());
  }
  if (!headers.has("content-type")) {
    headers.set("content-type", "application/json");
  }
  return new Response(body, {
    ...init,
    headers
  });
}
var encoder = new TextEncoder();

// src/index.ts
function createSvelteRoute(client) {
  const POST = async ({ request }) => {
    const standardizedRequest = await convertToStandardRequest(request);
    const response = await client.handleRequest(standardizedRequest);
    if (!response) {
      return json({ error: "Resource not found" }, { status: 404 });
    }
    return json(response.body, { status: response.status, headers: response.headers });
  };
  return { POST };
}
async function convertToStandardRequest(req) {
  const requestHeaders = req.headers;
  const requestMethod = req.method;
  const responseHeaders = /* @__PURE__ */ Object.create(null);
  for (const [headerName, headerValue] of requestHeaders.entries()) {
    responseHeaders[headerName] = headerValue;
  }
  const request = new Request("https://svelte/api/trigger", {
    headers: responseHeaders,
    method: requestMethod,
    // @ts-ignore
    body: req.body ? req.body : req,
    duplex: "half"
  });
  return request;
}

export { createSvelteRoute };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=index.mjs.map